JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.company.getContactV0('company_id');
console.log(response.vat_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.company.get_contact_v0(
"company_id",
)
print(response.vat_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Company.GetContactV0(context.TODO(), "company_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.VatID)
}
openregister company get-contact-v0 \
--api-key 'My API Key' \
--company-id company_idcurl --request GET \
--url https://api.openregister.de/v0/company/{company_id}/contact \
--header 'Authorization: Bearer <token>'
{
"source_url": "<string>",
"email": "<string>",
"phone": "<string>",
"vat_id": "<string>"
}Contact information
GET
/
v0
/
company
/
{company_id}
/
contact
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.company.getContactV0('company_id');
console.log(response.vat_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.company.get_contact_v0(
"company_id",
)
print(response.vat_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Company.GetContactV0(context.TODO(), "company_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.VatID)
}
openregister company get-contact-v0 \
--api-key 'My API Key' \
--company-id company_idDeprecated: This endpoint is deprecated. Contact information is now included in the company details endpoint response. Use that endpoint instead to get company data including contact information in a single request.
Get company contact information
Retrieve contact information for a company including email addresses, phone numbers, and VAT identification numbers. This data is collected from publicly available sources including company websites. The response includes the source URL where each piece of information was found, allowing you to verify the data origin. Cost: 10 creditsAuthorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Path Parameters
Unique company identifier. Example: DE-HRB-F1103-267645
Response
Successfully retrieved contact information
Where the contact information was found. Example: "https://openregister.de"
Company contact email address. Example: "founders@openregister.de"
Company phone number. Example: "+49 030 12345678"
Value Added Tax identification number. (Umsatzsteuer-Identifikationsnummer) Example: "DE370146530"
Was this page helpful?
⌘I

